<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.0.0
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."page_message_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."page_message_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."page_message_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."page_message_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['pam100'];
$inf_description = $locale['pam101'];
$inf_version = "1.0.0";
$inf_developer = "Starefossen";
$inf_email = "hans@starefossen.com";
$inf_weburl = "http://dev.starefossen.com";

$inf_folder = "page_message_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = SF_PAGE_MESSAGE." (
page_message_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
page_message_page VARCHAR(200) DEFAULT '' NOT NULL,
page_message_message TEXT DEFAULT '' NOT NULL,
PRIMARY KEY (page_message_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_PANELS." SET panel_name='".$locale['pam100']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_order='1', panel_type='file', panel_access='0', panel_display='1', panel_status='1' ";

$inf_droptable[1] = SF_PAGE_MESSAGE;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
	"title" => $locale['pam100'],
	"image" => "page-message.gif",
	"panel" => "page_message_admin.php",
	"rights" => "PAM"
);

?>