<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: page_message_admin.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";

require_once INFUSIONS."page_message_panel/infusion_db.php";
require_once INFUSIONS."page_message_panel/includes/functions.php";

if (!checkrights("IP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."page_message_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."page_message_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."page_message_panel/locale/English.php";
}

if (isset($_POST['post_message']) && !empty($_POST['page_message_page']) && !empty($_POST['page_message_message'])) {
	$page_message_page = stripinput($_POST['page_message_page']);
	$page_message_message = stripinput($_POST['page_message_message']);
	$result = dbquery("SELECT * FROM ".SF_PAGE_MESSAGE." WHERE page_message_page='$page_message_page'");
	if (isset($_POST['page_message_id']) && isnum($_POST['page_message_id'])) {
		$result = dbquery("UPDATE ".SF_PAGE_MESSAGE." SET page_message_page='$page_message_page', page_message_message='$page_message_message' WHERE page_message_id='".$_POST['page_message_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=up");	
	} elseif (!dbrows($result)) {
		$result = dbquery("INSERT INTO ".SF_PAGE_MESSAGE." (page_message_page, page_message_message) VALUES ('$page_message_page', '$page_message_message')");
		redirect(FUSION_SELF.$aidlink."&status=ad");	
	} else {
		redirect(FUSION_SELF.$aidlink);	
	}
}

if (isset($_GET['step']) && ($_GET['step'] == "delete") && isset($_GET['id']) && isNum($_GET['id'])) {
	$result = dbquery("DELETE FROM ".SF_PAGE_MESSAGE." WHERE page_message_id='".$_GET['id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");	
} elseif (isset($_GET['step']) && ($_GET['step'] == "edit") && isset($_GET['id']) && isNum($_GET['id'])) {
	$result = dbquery("SELECT * FROM ".SF_PAGE_MESSAGE." WHERE page_message_id='".$_GET['id']."' LIMIT 1");
	if (dbrows($result)) {
		$data = dbarray($result);
		$page_message_page = $data['page_message_page'];
		$page_message_message = $data['page_message_message'];
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
	$page_message_page = "";
	$page_message_message = "";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "up") {
		$message = $locale['pam110'];
	} elseif ($_GET['status'] == "ad") {
		$message = $locale['pam111'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['pam112'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

opentable($locale['pam120']);
// Project Promote Start
echo "<div style='float:left;'>\n";
echo "<!-- Project Promote 1.0.0 @ http://version.starefossen.com - Copyright Starefossen 2007-2009 -->";
echo "<div>";
echo "<script type='text/javascript' src='http://version.starefossen.com/infusions/version_updater/promote/js.php?uid=1'></script>";
echo "<noscript><a href='http://version.starefossen.com/' target='_blank'><strong>JavaScript disabled:</strong> Find more projects here!</a></noscript>";
echo "</div>";
echo "</div>\n";
// Project Promote End
// Version Checker Start
echo "<div style='float:right;'>\n";
$v = $__PAGE_MESSAGE_VERSION; // Alter $version to whatever variable your version is stored in!
echo "<!-- Version Checker 2.0.0 @ http://version.starefossen.com - Copyright Starefossen 2007-2009 -->";
echo "<script type='text/javascript' src='http://version.starefossen.com/infusions/version_updater/checker/js.php?ps=pagemsg&amp;v=".$v."'></script>";
echo "<noscript><a href='http://version.starefossen.com/' target='_blank'><strong>JavaScript disabled:</strong> Check version manually!</a></noscript>";
echo "</div>\n";
echo "<div style='clear:both;'>\n</div>\n";
// Version Checker End

echo "<center><form name='page_message_form' method='post' action='".FUSION_SELF.$aidlink."'>
	<table width='600px' cellpadding='0' cellspacing='0' class='center'>\n";
		if (isset($_GET['step']) && ($_GET['step'] == "edit") && isset($_GET['id']) && isNum($_GET['id'])) {
			echo "<input type='hidden' name='page_message_id' value='".$_GET['id']."' />";
		}
		echo "<tr>\n
			<td class='tbl' width='100px'>".$locale['pam121']."</td>\n
			<td class='tbl'>http://".$_SERVER['HTTP_HOST']."/ <input type='text' name='page_message_page' value='$page_message_page' class='textbox' maxlength='200' style='width:200px;' /></td>\n
		</tr>\n
		<tr>\n
			<td class='tbl' width='100px' valign='top'>".$locale['pam122']."</td>\n
			<td class='tbl'><textarea name='page_message_message' rows='10' cols='60' class='textbox'>$page_message_message</textarea><br>".display_bbcodes("98%", "page_message_message", "page_message_form")."</td>\n
		</tr>\n
		<tr>\n
			<td class='tbl' width='100px'>&nbsp;</td>\n
			<td class='tbl'><input type='submit' name='post_message' value='".$locale['pam123']."' class='button' /></td>\n
		</tr>\n
	</table>
</form></center>";
closetable();

opentable($locale['pam130']);

$rows = dbcount("(page_message_id)", SF_PAGE_MESSAGE, "");
$items_per_page = 25;

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

$result = dbquery("SELECT * FROM ".SF_PAGE_MESSAGE." ORDER BY page_message_page LIMIT ".$_GET['rowstart'].",$items_per_page");
if (dbrows($result)) {
	echo "<center><table cellpadding='0' cellspacing='0' width='500px'>\n
		<tr>\n
			<td class='tbl2' width='200px'><strong>".$locale['pam131']."</strong></td>\n
			<td class='tbl2' width='100px'><strong>".$locale['pam132']."</strong></td>\n
		</tr>\n";
	while ($data = dbarray($result)) {
		echo "<tr>\n
			<td class='tbl' valign='top' width='400px'>".$data['page_message_page']."</td>\n
			<td class='tbl' valign='top' width='100px'>
				[<a href='".FUSION_SELF.$aidlink."&amp;step=delete&amp;id=".$data['page_message_id']."'>".$locale['pam133']."</a>] 
				[<a href='".FUSION_SELF.$aidlink."&amp;step=edit&amp;id=".$data['page_message_id']."'>".$locale['pam134']."</a>]
			</td>\n
		</tr>";
	}
	echo "</table></center>";
} else {
	echo "<center>".$locale['pam135']."</center>";
}

if ($rows > $items_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";

closetable();

require_once THEMES."templates/footer.php";
?>