<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: page_message_panel.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."page_message_panel/infusion_db.php";
require_once INFUSIONS."page_message_panel/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."page_message_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."page_message_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."page_message_panel/locale/English.php";
}

$replace = "/"; //Subfolder replacement

$now_url = $_SERVER['SCRIPT_NAME'];
//$now_url = preg_replace("/".$replace."/", "", $now_url, "1");
$now_url = str_replace_count($replace, "", $now_url, 1);

$result = dbquery("SELECT * FROM ".SF_PAGE_MESSAGE." WHERE page_message_page='$now_url' LIMIT 1");
if (dbrows($result)) {
	$data = dbarray($result);
	opentable($locale['pam150']);
		echo nl2br(parseubb($data['page_message_message']));
	closetable();
}

?>